Class Task

    • Constructor Detail

      • Task

        public Task​(RestWrapper restWrapper,
                    org.alfresco.utility.model.TaskModel task)
    • Method Detail

      • getTasks

        public RestTaskModelsCollection getTasks()
        Retrieve a list of tasks visible for the authenticated user using GET call on "/tasks"
        Returns:
      • getTask

        public RestTaskModel getTask()
        Retrieve the tasks identified by taskId using GET call on "/tasks/{taskId}"
        Parameters:
        taskId -
        Returns:
      • updateTask

        public RestTaskModel updateTask​(javax.json.JsonObject inputJson)
        Update task using PUT put /tasks/{taskId} cal
        Parameters:
        inputJson - the json used as input for PUT call
        Returns:
      • getTaskVariables

        public RestVariableModelsCollection getTaskVariables()
        Retrieve the task variables using GET call on "/tasks/{taskId}/variables"
        Parameters:
        taskId -
        Returns:
      • deleteTaskVariable

        public void deleteTaskVariable​(RestVariableModel variableModel)
        Delete task variable using DELETE /tasks/{taskId}/variables/{variableName} call
        Parameters:
        taskId -
        variableName -
        Throws:
        JsonToModelConversionException
      • addTaskItem

        public RestItemModel addTaskItem​(org.alfresco.utility.model.FileModel fileModel)
        Add task item using POST /tasks/{taskId}/items
        Parameters:
        processId -
        Returns:
        Throws:
        JsonToModelConversionException
      • getTaskItems

        public RestItemModelsCollection getTaskItems()
        Retrieve the task items using GET call on "/tasks/{taskId}/items"
        Parameters:
        taskId -
        Returns:
      • getTaskFormModel

        public RestFormModelsCollection getTaskFormModel()
        Retrieves models of the task form type definition
        Parameters:
        taskModel -
        Returns:
      • deleteTaskItem

        public void deleteTaskItem​(RestItemModel itemModel)
        Delete a task item using DELETE call on tasks/{taskId}/items/{itemId}
        Parameters:
        taskId -
        itemId -
      • getTaskCandidates

        public RestCandidateModelsCollection getTaskCandidates()
        Retrieve the task candidates (users and groups) using GET call on "/tasks/{taskId}/candidates"
        Parameters:
        taskId -
        Returns: